[Bug 391420] Re: package update-manager 1:0.87.31 failed to install/upgrade: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1)

Jean-Baptiste Lallement jeanbaptiste.lallement at gmail.com
Mon Dec 28 20:00:51 GMT 2009


Thanks for your report

The relevant error is
=====
Setting up slapd (2.4.9-0ubuntu0.8.04.3) ...
Installing new version of config file /etc/ldap/schema/README ...
Installing new version of config file /etc/ldap/schema/openldap.ldif ...
Installing new version of config file /etc/ldap/schema/dyngroup.schema ...
Installing new version of config file /etc/ldap/schema/inetorgperson.schema ...
Installing new version of config file /etc/ldap/schema/misc.schema ...
Installing new version of config file /etc/ldap/schema/nis.schema ...
Installing new version of config file /etc/ldap/schema/openldap.schema ...
Installing new version of config file /etc/default/slapd ...
Installing new version of config file /etc/init.d/slapd ...
  Backing up /etc/ldap/slapd.conf in /var/backups/slapd-2.3.35-1ubuntu0.3... done.
  Upgrading BDB 'checkpoint' options... 
  Upgrading BDB 'checkpoint' options... .
  Moving old database directories to /var/backups:
  - directory dc=avalon,dc=homelinux,dc=net... 
  - directory dc=avalon,dc=homelinux,dc=net... done.
  Loading from /var/backups/slapd-2.3.35-1ubuntu0.3: 
  - directory dc=avalon,dc=homelinux,dc=net... 
  - directory dc=avalon,dc=homelinux,dc=net... failed.
Loading the database from the LDIF dump failed with the following
error while running slapadd:
    slapadd: line 1: database (dc=avalon,dc=homelinux,dc=net) not configured to hold "dc=nodomain"
    slapadd: line 1: database (dc=avalon,dc=homelinux,dc=net) not configured to hold "dc=nodomain"
dpkg: error processing slapd (--configure):
 subprocess post-installation script returned error exit status 1
=====

Affecting to openldap.

** Package changed: update-manager (Ubuntu) => openldap (Ubuntu)

** Changed in: openldap (Ubuntu)
       Status: New => Confirmed

** Changed in: openldap (Ubuntu)
       Status: Confirmed => New

** Summary changed:

- package update-manager 1:0.87.31 failed to install/upgrade: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1)
+ slapd failed to install/upgrade: slapadd: line 1: database (dc=xxx,dc=xxx,dc=xx) not configured to hold "dc=nodomain"

-- 
slapd failed to install/upgrade: slapadd: line 1: database (dc=xxx,dc=xxx,dc=xx) not configured to hold "dc=nodomain"
https://bugs.launchpad.net/bugs/391420
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to openldap in ubuntu.



More information about the Ubuntu-server-bugs mailing list